Subject: Re: [PATCH 1/4] Ensure that pmu_sys_suspended exists in appropriate configs.

From: [email-masked] (Tony Breeds)
Date: Thu, 13 Mar 2008 08:20:05 +1100

On Wed, Mar 12, 2008 at 09:38:57AM +0100, Guido Günther wrote:
> Hi Tony,
> On Wed, Mar 12, 2008 at 10:48:48AM +1100, Tony Breeds wrote:
> > pmu_sys_suspended is declared extern when:
> > 	defined(CONFIG_PM_SLEEP) && defined(CONFIG_PPC32)
> > but only defined when:
> > 	defined(CONFIG_SUSPEND) && defined(CONFIG_PPC32)
> > which is wrong.  Lets fix that.
> As I wrote, this isn't defined in my config:
> 
> # CONFIG_SUSPEND is not set
> CONFIG_HIBERNATION=y

Hmm okay I thought I tested 
for you.

I don't know if I missed it in one of your original posts, can you
supply your .config and compiler error.  I can't see anywhere outside
of:
$ git grep -E -l pmu_sys_suspended --
drivers/macintosh/via-pmu-led.c
drivers/macintosh/via-pmu.c
include/linux/pmu.h

where pmu_sys_suspended is referenced and I'm having difficulty
understanding how CONFIG_HIBERNATION is affecting that.

Yours Tony

  linux.conf.au    http://www.marchsouth.org/
  Jan 19 - 24 2009 The Australian Linux Technical Conference!